Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class LabelPathMap

    java.lang.Object
      com.atlassian.bamboo.configuration.LabelPathMap

Direct Known Subclasses:
  AbstractXStreamPersister.AntBuilderMap, AbstractXStreamPersister.MavenBuilderMap, AbstractXStreamPersister.ScriptBuilderMap, Jdk, LegacyPersister.AntBuilderMap, LegacyPersister.MavenBuilderMap, LegacyPersister.ScriptBuilderMap, LegacyXStreamPersisterBuild110.AntBuilderMap, LegacyXStreamPersisterBuild110.MavenBuilderMap, LegacyXStreamPersisterBuild110.ScriptBuilderMap

    public class LabelPathMap

extends Object

Common POJO holding for mapping labels to home directories.

Constructor Summary
`LabelPathMap(String label, String homeDirectory)`
`LabelPathMap(String myLabel, String myHomeDirectory, String myBuilderType, BuilderManager builderManager)`

Method Summary
`boolean` | `equals(Object o)` Auto-generated, reflection based equals
`Builder` | `getBuilder()`
`BuilderManager` | `getBuilderManager()`
`String` | `getBuilderType()`
`String` | `getHomeDirectory()`
`String` | `getLabel()`
`String` | `getName()` So it can be shown in a drop down list
`String` | `getUiSwitchName()` Inform the UI to display the builder options.
`int` | `hashCode()` Auto-generated, reflection based hashcode
`boolean` | `isValid()`
`void` | `setBuilderManager(BuilderManager builderManager)`
`void` | `setBuilderType(String builderType)`
`void` | `setHomeDirectory(String homeDirectory)`
`void` | `setLabel(String label)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelPathMap

    public LabelPathMap(String myLabel,
                        String myHomeDirectory,
                        String myBuilderType,
                        BuilderManager builderManager)

### LabelPathMap

    public LabelPathMap(String label,
                        String homeDirectory)

Method Detail

### getLabel

    public String getLabel()

### getName

    public String getName()

  So it can be shown in a drop down list

### setLabel

    public void setLabel(String label)

### getHomeDirectory

    public String getHomeDirectory()

### setHomeDirectory

    public void setHomeDirectory(String homeDirectory)

### getBuilderType

    public String getBuilderType()

### setBuilderType

    public void setBuilderType(String builderType)

### getUiSwitchName

    public String getUiSwitchName()

  Inform the UI to display the builder options.

### getBuilder

    public Builder getBuilder()

### isValid

    public boolean isValid()

### setBuilderManager

    public void setBuilderManager(BuilderManager builderManager)

### getBuilderManager

    public BuilderManager getBuilderManager()

### equals

    public boolean equals(Object o)

  Auto-generated, reflection based equals

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Auto-generated, reflection based hashcode

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.